Update an existing data source's label and color properties
Update an existing data source’s label and color properties
Authentication: required
Required API Scope: Instance Workspace: Update
PUT
/
workspace
/
{workspace_id}
/
datasource
/
{label}
Update an existing data source's label and color properties
curl --request PUT \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/datasource/{label} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"color": "#ebc346"
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/datasource/{label}"
payload = { "color": "#ebc346" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({color: '#ebc346'})
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/datasource/{label}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"color": "#008000",
"label": "live"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonmultipart/form-data
Was this page helpful?
Convert from JSON to XanoScript
Previous
Delete a data source permanently. This action cannot be undone.
Next
⌘I
Update an existing data source's label and color properties
